| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::StatelessDBusProxy Class Reference

The StatelessDBusProxy class is a base class representing a remote object whose API is basically stateless. More...

`#include <TelepathyQt/DBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Tp::Account, Tp::AccountManager, and Tp::ConnectionManager.

List of all members.

## Public Member Functions

- StatelessDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
- virtual ~StatelessDBusProxy ()

## Detailed Description

The StatelessDBusProxy class is a base class representing a remote object whose API is basically stateless.

These objects can remain valid even if the service providing them exits and is restarted.

Examples include the AccountManager, Account and ConnectionManager.

## Constructor & Destructor Documentation

Tp::StatelessDBusProxy::StatelessDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | const Feature & | featureCore
| ) |  |

Construct a new StatelessDBusProxy object.

Parameters:

  dbusConnection | QDBusConnection to use.
  busName | D-Bus bus name of the service that provides the remote object.
  objectPath | The object path.
  featureCore | The object core feature.

Tp::StatelessDBusProxy::~StatelessDBusProxy | ( |  | ) | `[virtual]`

Class destructor.